<!-- fab placed to the top end -->
<ion-fab vertical="bottom" horizontal="end" slot="fixed">
  <ion-fab-button (click)="openModal()" >
    <ion-icon name="add"></ion-icon>
  </ion-fab-button>
</ion-fab>
